<?xml version="1.0" encoding="UTF-8"?>
<project>

  <parent>
    <artifactId>plexus-components</artifactId>
    <groupId>org.codehaus.plexus</groupId>
    <version>1.1.5</version>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <artifactId>plexus-yahoo-search</artifactId>
  <name>Plexus Yahoo! Search Web Services Client</name>
  <version>1.0-alpha-1-SNAPSHOT</version>
  <description>A Plexus client component for Yahoo! Search Web Services.</description>

  <repositories>
    <repository>
      <releases>
        <enabled>false</enabled>
      </releases>
      <id>java.net</id>
      <name>Java.net Repository for Maven</name>
      <url>https://maven2-repository.dev.java.net/nonav/repository</url>
    </repository>
  </repositories>

  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.plexus</groupId>
        <artifactId>plexus-maven-plugin</artifactId>
        <version>1.1</version>
        <executions>
          <execution>
            <goals>
              <goal>descriptor</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      
      <plugin>
        <groupId>com.sun.tools.xjc.maven2</groupId>
        <artifactId>maven-jaxb-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>generate</goal>
            </goals>
          </execution>
        </executions>
        
        <configuration>
          <includeBindings>
            <includeBinding>*.xjb</includeBinding>
          </includeBindings>
          <strict>true</strict>
          <verbose>true</verbose>       
        </configuration>
      </plugin>
      
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.5</source>
          <target>1.5</target>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-httpclient</artifactId>
  	  <version>1.0-alpha-1-SNAPSHOT</version>
    </dependency>
     
    <dependency>
      <groupId>javax.xml.bind</groupId>
      <artifactId>jaxb-api</artifactId>
      <version>2.0</version>
    </dependency>
  </dependencies>
</project>